# EGLDisplay (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class EGLDisplay

    java.lang.Object
      org.lwjgl.PointerWrapperAbstract
          org.lwjgl.opengles.EGLDisplay

All Implemented Interfaces:
  PointerWrapper

    public final class EGLDisplay

extends PointerWrapperAbstract

EGLDisplay wrapper class.

Field Summary

Fields inherited from class org.lwjgl.PointerWrapperAbstract
`pointer`

Method Summary
`EGLConfig[]` `chooseConfig(java.nio.IntBuffer attrib_list, EGLConfig[] configs, java.nio.IntBuffer num_config)` Returns the available EGL configs on this display that satisfy the specified list of attributes.
`EGLContext` `createContext(EGLConfig config, EGLContext shareContext, java.nio.IntBuffer attrib_list)`
`EGLSurface` `createWindowSurface(EGLConfig config, long window, java.nio.IntBuffer attrib_list)` Creates an on-screen rendering surface on this EGL display.
`boolean` `equals(java.lang.Object obj)`
`int` `getMajorVersion()` Returns the major EGL version of this EGL display.
`int` `getMinorVersion()` Returns the minor EGL version of this EGL display.
`boolean` `isExtensionSupported(java.lang.String eglExtension)` Returns true if the specified EGL extension is supported by this EGL display.
`java.lang.String` `query(int name)` Returns a string describing some aspect of the EGL implementation running on the specified display.
`void` `setSwapInterval(int interval)`
`void` `terminate()` Release the resources associated with this EGL display.

Methods inherited from class org.lwjgl.PointerWrapperAbstract
`checkValid, getPointer, hashCode, isValid, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getMajorVersion

    public int getMajorVersion()

  Returns the major EGL version of this EGL display.

  Returns:
    the major EGL version

### getMinorVersion

    public int getMinorVersion()

  Returns the minor EGL version of this EGL display.

  Returns:
    the minor EGL version

### isExtensionSupported

    public boolean isExtensionSupported(java.lang.String eglExtension)

  Returns true if the specified EGL extension is supported by this EGL display.

  Parameters:
    `eglExtension` - the EGL extension
  Returns:
    true if the extension is supported

### terminate

    public void terminate()
                   throws LWJGLException

  Release the resources associated with this EGL display.

  Throws:
    `LWJGLException`

### query

    public java.lang.String query(int name)

  Returns a string describing some aspect of the EGL implementation running on the specified display.

  Parameters:
    `name` - the value to query
  Returns:
    the description

### chooseConfig

    public EGLConfig[] chooseConfig(java.nio.IntBuffer attrib_list,
                                    EGLConfig[] configs,
                                    java.nio.IntBuffer num_config)
                             throws LWJGLException

  Returns the available EGL configs on this display that satisfy the specified list of attributes.

  Throws:
    `LWJGLException`

### createWindowSurface

    public EGLSurface createWindowSurface(EGLConfig config,
                                          long window,
                                          java.nio.IntBuffer attrib_list)
                                   throws LWJGLException

  Creates an on-screen rendering surface on this EGL display.

  Parameters:
    `config` - the EGL config
    `window` - the native window handle
    `attrib_list` - an attribute list (may be null)
  Returns:
    the EGL surface
  Throws:
    `LWJGLException`

### createContext

    public EGLContext createContext(EGLConfig config,
                                    EGLContext shareContext,
                                    java.nio.IntBuffer attrib_list)
                             throws LWJGLException

  Throws:
    `LWJGLException`

### setSwapInterval

    public void setSwapInterval(int interval)
                         throws LWJGLException

  Throws:
    `LWJGLException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PointerWrapperAbstract`

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.